#include "DebugMonitor.h"
#include "Tracer.h"

DebugMonitorApp::DebugMonitorApp(void) : BApplication("application/x-vnd.ali-DebugMonitor")
{}

void DebugMonitorApp::MessageReceived(BMessage *message)
{
	if (message->what == 'aldb')
	{
		TracerWindow *w = NULL;
		
		string client(message->FindString("App"));
		
		if (windows.find(client) == windows.end())
		{
			BRect aRect(700,80,900,380);
			w = new TracerWindow(aRect, client.data());
			
			// make window visible
			w->Show();
			
			windows[client] = w;
		}
		else
		{
			w = windows[client];
		}
		// assert(w != NULL);
		w->PostMessage(message);
	}
	
	// Also perform default message processing
	BApplication::MessageReceived(message);
}